Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 403415 (xulrunner) - net-libs/xulrunner removal request
Summary: net-libs/xulrunner removal request
Status: RESOLVED FIXED
Alias: xulrunner
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Mozilla Gentoo Team
URL: http://qa-reports.gentoo.org/output/g...
Whiteboard:
Keywords: Tracker
Depends on: 333895 351659 383069 407553 407565 408251 408253 409299 409301 409483 412339 412341 412875 415039 416843 416947 424617
Blocks: 352768 371901 405833 409225 414373 gcc-4.6-stable
  Show dependency tree
 
Reported: 2012-02-13 15:00 UTC by Ian Stakenvicius
Modified: 2014-03-23 16:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius gentoo-dev 2012-02-13 15:00:28 UTC
Most, if not all packages that use it should now me using spidermonkey or npapi-sdk; and ideally we want to be able to remove xulrunner from the tree.  This bug is a tracker for ensuring that packages in the tree are modified, so that xulrunner is no longer a dependency.
Comment 1 Raymond Jennings 2012-03-05 07:57:54 UTC
I just wanna point out that xulrunner is broken and refuses to build anyhow.
Comment 2 Raymond Jennings 2012-03-05 08:00:09 UTC
Just a fresh emerge sync, and this is what I got:

localhost 1 ~ # equery depends xulrunner
 * These packages depend on xulrunner:
gnome-extra/yelp-2.30.2-r6 (net-libs/xulrunner:1.9)
media-video/vlc-1.1.13 (nsplugin ? >=net-libs/xulrunner-1.9.2)
Comment 3 Ian Stakenvicius gentoo-dev 2012-03-05 18:08:00 UTC
VLC has been fixed in newer versions, but the maintainer doesn't seem to want to fix 1.1.3 or earlier.  I think we'll unfortunately need to wait for VLC-2.x to go stable on that account.

Same goes for yelp -- yelp-3.2.1 uses webkit-gtk instead of xulrunner, the old version just needs to fall off the tree once that version gets stabilized.

...maybe stabilization bugs should be filed on both of these, with notes on removing the older ebuilds, and this bug depend on those??
Comment 4 Nirbheek Chauhan (RETIRED) gentoo-dev 2012-03-21 04:17:02 UTC
(In reply to comment #3)
> Same goes for yelp -- yelp-3.2.1 uses webkit-gtk instead of xulrunner, the
> old version just needs to fall off the tree once that version gets
> stabilized.
> 

yelp-3.x will go stable when GNOME 3 goes stable, which may or may not happen with the 3.4 release. The time-frame from now for 3.4 stabilization (if tetromino wants to stabilize it) is about 2 months.
Comment 5 ScytheMan 2012-03-22 18:53:34 UTC
There is also a dependency in acroread (which isn't listed in the qa-output).

      x86? ( x11-libs/gtk+:2 net-dns/libidn
                        ldap? ( net-nds/openldap )
                        !minimal? ( || ( net-libs/xulrunner
                                                www-client/firefox
                                                www-client/seamonkey ) ) )

You might want to drop this, too?
Comment 6 Till Schäfer 2012-06-10 23:17:35 UTC
i still use i tfor eclipse as the normal firefox build crashes eclipse if ued as browser integration (mylyn).
Comment 7 Raymond Jennings 2012-06-15 05:02:54 UTC
How is this progressing?

I just did a global update with emerge and xulrunner finally depcleaned out of existence from my system.
Comment 8 Joe Breuer 2012-06-27 05:22:20 UTC
As far as the removal request is concerned, I support the notion that other packages should never be built against the current xulrunner. - For example, I've noticed that my firefox 10.0.5 ebuild install appeared to link against some of the xulrunner-1.9.2 libs, this is most definitely not what I would have expected.


BUT:

(In reply to comment #6)
> i still use i tfor eclipse as the normal firefox build crashes eclipse if
> ued as browser integration (mylyn).

Precisely. Apart from using the deprecated xulrunner, I also see no way to run [the browser integration of] eclipse 3.5.2 or 3.7.2 with current gentoo.

Please: Consider keeping a sandboxed version of xulrunner 1.9.2 around until this can be resolved. - Sort of like the x86-emul packages for 32-bit support on amd64.
By "sandboxed" I mean that I would have to manually configure its path for applications that want/need to use it; the regular system does not see those libraries etc.

Looking at the ebuild I cannot readily see what would need to be changed to accomplish this. I'd be willing to proxy-maintain this until a proper solution for eclipse emerges (pun half-intended).

I've had a look at the xulrunner ebuild, but unfortunately it's not immediately obvious to me what would need to be done to make it "not visible" to the regular rest of the system, especially to firefox/thunderbird builds.
Comment 9 Samuli Suominen gentoo-dev 2012-07-04 07:17:35 UTC
Removed from Portage as planned.